Skip to main content
GET
Retrieves all bills of materials for a given production item.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

productionItemId
string<uuid>
required

The ID of a production item. Der Schlüssel eines Produktionsartikels.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

createDateAfter
string<date-time>

Only include items whose CreateDate is after (greater than) this value.

createDateBefore
string<date-time>

Only include items whose CreateDate is before (less than) this value.

updateDateAfter
string<date-time>

Only include items whose UpdateDate is after (greater than) this value.

updateDateBefore
string<date-time>

Only include items whose UpdateDate is before (less than) this value.

activationDateAfter
string<date-time>

Only include items whose ActivationDate is after (greater than) this value.

activationDateBefore
string<date-time>

Only include items whose ActivationDate is before (less than) this value.

producibleStockCalculationDateAfter
string<date-time>

Only include items whose ProducibleStockCalculationDate is after (greater than) this value.

producibleStockCalculationDateBefore
string<date-time>

Only include items whose ProducibleStockCalculationDate is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>